# GenericApplicationContext.all constructor

GenericApplicationContext.all(

1. ApplicationContext? parent,
2. DefaultListablePodFactory? podFactory

)

Creates a new GenericApplicationContext with specified parent and pod factory.

This constructor allows for advanced configuration scenarios where you need to specify both a parent context and a custom pod factory.

### Parameters:

- `parent`: Optional parent application context for hierarchical lookup
- `podFactory`: Optional custom pod factory instance

### Example:

    final parentContext = GenericApplicationContext();
    final customFactory = DefaultListablePodFactory();
    final context = GenericApplicationContext.all(parentContext, customFactory);

## Implementation

    GenericApplicationContext.all(ApplicationContext? parent, DefaultListablePodFactory? podFactory) {
      if(parent != null) {
        setParent(parent);
      }

      _podFactory = podFactory ?? DefaultListablePodFactory();
    }